/////////////////////////////////////////////////
// APPELS DES MODULES
/////////////////////////////////////////////////
const path = require("path");

/////////////////////////////////////////////////
// APPELS DES MODULES PERSOS
/////////////////////////////////////////////////
// loggings
const logger = require("../../public/js/app/logger");

////////////////////////////////////////////////////
// FILE NAME
////////////////////////////////////////////////////
const filename = path.parse(__filename).base;

// Fonction qui construit de la requête SQL
function generateInsertSQL(tableName, data) {
    // On récupère les noms des champs
    const columns = Object.keys(data).join(', ');
    // on ajoute autant de "?" que de champs
    const placeholders = Object.keys(data).map(() => '?').join(', ');

    return `INSERT INTO ${tableName} (${columns}) VALUES (${placeholders})`;
}

// Fonction qui récupère la liste des valeurs des champs
function extractValues (data) {
    return Object.values(data);
}

module.exports = { generateInsertSQL, extractValues };

